# sword-vue-ui

[![NPM version](https://img.shields.io/npm/v/dva.svg?style=flat)](https://npmjs.org/package/sword-vue-ui)
[![NPM downloads](http://img.shields.io/npm/dm/dva.svg?style=flat)](https://npmjs.org/package/sword-vue-ui)
[![Dependencies](https://david-dm.org/dvajs/dva/status.svg)](https://david-dm.org/dvajs/sword-vue-ui)

`sword-vue-ui`是一个以`vue2`和`Element-ui`为基础的组件库，提供了大量组件和特性用于快速搭建管理类系统。

## 使用说明

### npm 安装

推荐使用 npm 的方式安装，它能更好地和`webpack`打包工具配合使用。

```
npm i sword-vue-ui -S
```

### 引入 sword-vue-ui

在`main.js`中按照以下方式引入组件：

```
import Vue from 'vue'
import SwordUi from 'sword-vue-ui'
import 'sword-vue-ui/lib/sword-vue-ui.css'

Vue.use(SwordUi)
```

### 开始使用

至此，一个基于`sword-vue-ui`的开发环境已经搭建完毕，现在就可以编写代码了。各个组件的使用方法请参阅它们各自的文档。

## License

[MIT](https://tldrlegal.com/license/mit-license)
